Package org.pushingpixels.flamingo.internal.ui.ribbon

# Class RibbonGalleryUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.pushingpixels.flamingo.internal.ui.ribbon.RibbonGalleryUI

Direct Known Subclasses:
  `BasicRibbonGalleryUI`

public abstract class RibbonGalleryUI extends ComponentUI
UI for in-ribbon gallery (`JRibbonGallery`).

## Constructor Summary

Constructors
Constructor
Description
`RibbonGalleryUI()`

## Method Summary

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RibbonGalleryUI

public RibbonGalleryUI()